CMSIS-Core (Cortex-M): IPSR_Type Union Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
IPSR_Type Union Reference

Union type to access the Interrupt Program Status Register (IPSR). More...

## Data Fields

struct {
uint32_t ISR:9
| bit: 0.. 8 Exception number More...
uint32_t _reserved0:23
| bit: 9..31 Reserved More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Description

Union type to access the Interrupt Program Status Register (IPSR).

## Field Documentation

uint32_t IPSR_Type::_reserved0

bit: 9..31 Reserved

struct { ... } IPSR_Type::b

Structure used for bit access.

uint32_t IPSR_Type::ISR

bit: 0.. 8 Exception number

uint32_t IPSR_Type::w

Type used for word access.